# AUTOGENERATED! DO NOT EDIT! File to edit: nbs/00_utils.ipynb (unless otherwise specified).

__all__ = ['validate_configs', 'load_json', 'check_cat_info']

# Cell
from .import_essentials import *

# Cell
def validate_configs(
    configs: Union[Dict[str, Any], BaseParser], # configs
    config_class: BaseParser # config class
):
    if not isinstance(configs, config_class):
        configs = config_class(**configs)
    return configs

# Cell
def load_json(f_name: str) -> Dict[str, Any]:
    with open(f_name) as f: return json.load(f)

# Comes from 00a_inferfaces.ipynb, cell
def check_cat_info(method):
    def inner(cf_module, *args, **kwargs):
        warning_msg = f"""This CFExplanationModule might not be updated with categorical information.
        You should try `{cf_module.name}.update_cat_info(dm)` before generating cfs.
        """
        if cf_module.cat_idx == 0 and cf_module.cat_arrays == []:
            warnings.warn(warning_msg, RuntimeWarning)
        return method(cf_module, *args, **kwargs)
    return inner